Bug 1211933 - Add rpm wrapper for RHEV-M appliance
Summary: Add rpm wrapper for RHEV-M appliance
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhevm-appliance
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ovirt-3.6.1
: 3.6.0
Assignee: Fabian Deutsch
QA Contact: Gonza
URL:
Whiteboard:
Depends On:
Blocks: 1211532 1217106
TreeView+ depends on / blocked
 
Reported: 2015-04-15 08:52 UTC by Fabian Deutsch
Modified: 2016-03-09 21:43 UTC (History)
10 users (show)

Fixed In Version: rhevm-appliance-20151029.2-1
Doc Type: Enhancement
Doc Text:
The RHEV-M Virtual Appliance is now available as an rpm to simplify deployment of the self-hosted engine. When the rpm is installed, the hosted-engine deployment script will discover it and suggest to automatically configure the appliance.
Clone Of:
Environment:
Last Closed: 2016-03-09 21:43:46 UTC
oVirt Team: Node
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1211532 medium CLOSED [RFE] Auto-detect available appliance images and suggest them to be used 2020-10-14 00:28:05 UTC
Red Hat Product Errata RHBA-2016:0385 normal SHIPPED_LIVE rhevm-appliance bug fix and enhancement update 2016-03-10 02:43:23 UTC
oVirt gerrit 40411 master MERGED engine: Add rpm wrapper Never
oVirt gerrit 40805 master MERGED engine: Expose the image to he-setup Never

Internal Links: 1211532

Description Fabian Deutsch 2015-04-15 08:52:15 UTC
Description of problem:
To simplify the delivery of the rhevm appliance we should add an rpm wrapper which can be used to install the appliance image on a host using yum/rhn.

This needs to be synced with 1211532

Comment 2 Sandro Bonazzola 2015-05-08 15:16:27 UTC
All referenced patches have been merged, shouldn't this be in modified?

Comment 3 Fabian Deutsch 2015-05-08 16:33:16 UTC
There is still some unfinished work in distgit whcih needs more handling, once that is done this can be moved to MODIFIED

Comment 4 Fabian Deutsch 2015-05-12 18:23:47 UTC
rpm wrapper builds are now available here:

http://jenkins.ovirt.org/job/ovirt-appliance-engine_master_create-rpms-el7-noarch_merged/

The layout and interface between he-setup and the appliance location has been discussed in bug 1211532.

Comment 5 Fabian Deutsch 2015-05-12 18:26:58 UTC
The builds are available.

Testing depends on the bugs depending on this. Once they are merged this feature can be fully tested.

Testing scope needs to be defined.

Comment 7 Gil Klein 2015-09-09 11:32:22 UTC
Fabian, it seems the brew link is now deleted.

Could you please share a new brew link and move to ON_QA once it is ready?

Comment 10 Simone Tiraboschi 2015-10-23 10:52:29 UTC
Verification steps:
the rpm should contains two files:
a description file under /etc/ovirt-hosted-engine/*-appliance.conf
and the OVA

The description file structure is:

description=<Descriptive text>
version=<appliance release info>
path=<ova file path>
sha1sum=<ova file sha1sum>

please check that the version number and the description look coherent, the path is correct and the sha1sum matches the OVA file.

Comment 11 Gonza 2015-10-23 11:27:51 UTC
Verified with:
rhevm-appliance-20151022.1-1.el6ev.noarch

# cat /etc/ovirt-hosted-engine-setup/10-appliance.conf
description=The RHEV-M Appliance image (OVA)
version=20151022.1-1.el6ev
path=/usr/share/ovirt-engine-appliance/rhevm-appliance-20151022.1-1.el6ev.ova
sha1sum=

ova file path is correct but sha1sum is empty.

Comment 12 Simone Tiraboschi 2015-10-23 11:42:44 UTC
(In reply to Gonza from comment #11)
> ova file path is correct but sha1sum is empty.

This is an issue cause hosted-engine-setup will ensure that the OVA file will match that.

Comment 13 Sandro Bonazzola 2015-10-26 12:34:23 UTC
this is an automated message. oVirt 3.6.0 RC3 has been released and GA is targeted to next week, Nov 4th 2015.
Please review this bug and if not a blocker, please postpone to a later release.
All bugs not postponed on GA release will be automatically re-targeted to

- 3.6.1 if severity >= high
- 4.0 if severity < high

Comment 14 Yaniv Lavi 2015-10-28 14:15:18 UTC
Isn't this a blocker to first beta? No HE with appliance.

Comment 15 Gil Klein 2015-10-28 14:19:36 UTC
(In reply to Yaniv Dary from comment #14)
> Isn't this a blocker to first beta? No HE with appliance.
Yes, it is. Blocker flag is in place and I've escalated it via email too

Comment 16 Gil Klein 2015-10-28 14:19:50 UTC
(In reply to Yaniv Dary from comment #14)
> Isn't this a blocker to first beta? No HE with appliance.
Yes, it is. Blocker flag is in place and I've escalated it via email too

Comment 17 Sandro Bonazzola 2015-10-28 15:13:24 UTC
(In reply to Yaniv Dary from comment #14)
> Isn't this a blocker to first beta? No HE with appliance.

looks like blocker+ hasn't been triggered by bot / rule engine.
please fix manually.

Comment 18 Yaniv Lavi 2015-10-28 16:36:07 UTC
I can(In reply to Sandro Bonazzola from comment #17)
> (In reply to Yaniv Dary from comment #14)
> > Isn't this a blocker to first beta? No HE with appliance.
> 
> looks like blocker+ hasn't been triggered by bot / rule engine.
> please fix manually.

I can't.

(In reply to Gil Klein from comment #16)
> (In reply to Yaniv Dary from comment #14)
> > Isn't this a blocker to first beta? No HE with appliance.
> Yes, it is. Blocker flag is in place and I've escalated it via email too

So why change the target milestone? I means that the target is beta 2 on not beta 1.

Comment 22 errata-xmlrpc 2016-03-09 21:43:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:0385


Note You need to log in before you can comment on or make changes to this bug.